<!DOCTYPE html>
<html lang="en">
    <%- include('partials/head.ejs', { title: 'Reserve' }) %>
<body>
    <%- include('partials/navbar.ejs', { search: 0 }) %>
    <main>
        <h1>Reserve a sportfield</h1>
        <form method="POST" name="ReserveSportfieldId" action="/reserve/reserve">

            <input type="hidden" name="personalName" id="personalName" value="<%= payload.newUsername %>">


            <label for="fieldID">Field ID: </label>
            <select name="fieldID" id="fieldID">
                <% fields.forEach(field => { %>
                    <option value="<%= field.fieldID %>"><%= field.fieldID %></option>
                <% }) %>
            </select>

            <label for="from"> From: </label>
            <input id="from" type="datetime-local" name="from" required>
            <br>

            <label for="till"> Till: </label>
            <input id="till" type="datetime-local" name="till" required>
            <br>

            <input id="id-submit-button2" name="idSubmitButton2" type="submit" value="Submit">
        </form>
        <% if (isMistake == 1) { %>
            <p>Invalid reservation</p>
        <% } %>

        <% if (isMistake == 2) { %>
            <p>Succesful reservation</p>
        <% } %>
         
    </main>
</body>
</html>